## gaffitter 0.5.0

=== Makefile ===
# $Id: Makefile,v 1.6 2006/07/29 02:33:55 daaugusto Exp $
# Copyright (C) 2005-2006 Douglas A. Augusto (daaugusto@gmail.com)

all:
	cd src; $(MAKE)
clean:
	cd src; $(MAKE) clean
install:
	cd src; $(MAKE) install
uninstall:
	cd src; $(MAKE) uninstall

=== src/Makefile ===
# $Id: Makefile,v 1.19 2006/08/11 14:44:01 daaugusto Exp $
# Copyright (C) 2005-2006 Douglas A. Augusto (daaugusto@gmail.com)

CPPFILES = Params.cc DiskUsage.cc Input.cc Optimizer.cc \
			  optimizers/GeneticAlgorithm.cc optimizers/BruteForce.cc \
			  optimizers/BestFirst.cc optimizers/Split.cc \
			  util/CmdLineParser.cc

INCLUDES = -I/usr/local/include -I.
CXX = g++
CXXFLAGS = -O2 -Wno-long-long $(INCLUDES)
LIBPATH = 
LIBS = 
LDFLAGS = $(LIBPATH) $(LIBS)

###########################################################################

OBJS = $(CPPFILES:.cc=.o)

.SUFFIXES: .o .cc 

.cc.o:
	@echo $<:
	$(CXX) $(CXXFLAGS) -c $*.cc -o $*.o

default: gaffitter 


gaffitter: $(OBJS) gaffitter.cc Params.hh
	$(CXX) $(CXXFLAGS) $@.cc $(OBJS) -o $@ $(LDFLAGS)
###########################################################################

objs: $(OBJS)	

###########################################################################

install:
	cp gaffitter /usr/local/bin

uninstall:
	rm /usr/local/bin/gaffitter

clean:
	rm -f *.o gaffitter optimizers/*.o util/*.o

# rule for building dependency lists, and writing them to this Makefile
depend:
	makedepend -Y -- $(CXXFLAGS) -- $(CPPFILES)

# DO NOT DELETE

Params.o: Params.hh util/Exception.hh util/CmdLineParser.hh util/Exception.hh
DiskUsage.o: DiskUsage.hh Params.hh util/Exception.hh
Input.o: Input.hh Params.hh DiskUsage.hh util/Exception.hh
Optimizer.o: Optimizer.hh Input.hh Params.hh
optimizers/GeneticAlgorithm.o: optimizers/GeneticAlgorithm.hh Input.hh
optimizers/GeneticAlgorithm.o: Params.hh util/Random.hh Optimizer.hh Input.hh
optimizers/BruteForce.o: optimizers/BruteForce.hh Optimizer.hh Input.hh
optimizers/BruteForce.o: Params.hh util/Exception.hh
optimizers/BestFirst.o: optimizers/BestFirst.hh Optimizer.hh Input.hh
optimizers/BestFirst.o: Params.hh
optimizers/Split.o: optimizers/Split.hh Optimizer.hh Input.hh Params.hh
util/CmdLineParser.o: util/CmdLineParser.hh util/Exception.hh

## gaffitter 0.5.1

=== Makefile ===
# $Id: Makefile,v 1.7 2007/03/28 09:58:16 daaugusto Exp $
# Copyright (C) 2005-2007 Douglas A. Augusto (daaugusto@gmail.com)

all:
	cd src; $(MAKE)
clean:
	cd src; $(MAKE) clean
install:
	cd src; $(MAKE) install
uninstall:
	cd src; $(MAKE) uninstall

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $Id: Makefile,v 1.19 2006/08/11 14:44:01 daaugusto Exp $
-# Copyright (C) 2005-2006 Douglas A. Augusto (daaugusto@gmail.com)
+# $Id: Makefile,v 1.20 2007/03/28 09:58:16 daaugusto Exp $
+# Copyright (C) 2005-2007 Douglas A. Augusto (daaugusto@gmail.com)
 
 CPPFILES = Params.cc DiskUsage.cc Input.cc Optimizer.cc \
 			  optimizers/GeneticAlgorithm.cc optimizers/BruteForce.cc \

## gaffitter 0.5.2

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-# $Id: Makefile,v 1.20 2007/03/28 09:58:16 daaugusto Exp $
-# Copyright (C) 2005-2007 Douglas A. Augusto (daaugusto@gmail.com)
+# $Id: Makefile 151 2008-06-04 01:35:38Z daaugusto $
+# Copyright (C) 2005-2008 Douglas A. Augusto (daaugusto@gmail.com)
 
 CPPFILES = Params.cc DiskUsage.cc Input.cc Optimizer.cc \
 			  optimizers/GeneticAlgorithm.cc optimizers/BruteForce.cc \

## gaffitter 0.6.0

=== Makefile ===
# $Id: Makefile 151 2008-06-04 01:35:38Z daaugusto $
# Copyright (C) 2005-2008 Douglas A. Augusto (daaugusto@gmail.com)

all:
	cd src; $(MAKE)
clean:
	cd src; $(MAKE) clean
install:
	cd src; $(MAKE) install
uninstall:
	cd src; $(MAKE) uninstall

=== src/Makefile ===
# $Id: Makefile 235 2008-08-15 20:10:08Z daaugusto $
# Copyright (C) 2005-2008 Douglas A. Augusto (daaugusto@gmail.com)

CPPFILES = Params.cc DiskUsage.cc Input.cc Optimizer.cc \
			  optimizers/GeneticAlgorithm.cc  \
			  optimizers/BestFit.cc optimizers/Split.cc \
			  util/CmdLineParser.cc

INCLUDES = -I/usr/local/include -I.
CXX = g++
CXXFLAGS = -O3 -Wno-long-long $(INCLUDES)
LIBPATH = 
LIBS = 
LDFLAGS = $(LIBPATH) $(LIBS)

###########################################################################

OBJS = $(CPPFILES:.cc=.o)

.SUFFIXES: .o .cc 

.cc.o:
	@echo $<:
	$(CXX) $(CXXFLAGS) -c $*.cc -o $*.o

default: gaffitter 


gaffitter: $(OBJS) gaffitter.cc Params.h
	$(CXX) $(CXXFLAGS) $@.cc $(OBJS) -o $@ $(LDFLAGS)
###########################################################################

objs: $(OBJS)	

###########################################################################

install:
	install -D -m 0755 gaffitter $(DESTDIR)$(prefix)/bin/gaffitter

uninstall:
	rm $(DESTDIR)$(prefix)/bin/gaffitter

clean:
	rm -f *.o gaffitter optimizers/*.o util/*.o

# rule for building dependency lists, and writing them to this Makefile
depend:
	makedepend -Y -- $(CXXFLAGS) -- $(CPPFILES)

# DO NOT DELETE

Params.o: Params.h util/Exception.h util/CmdLineParser.h
Params.o: util/CmdLineException.h
DiskUsage.o: DiskUsage.h Params.h util/Exception.h
Input.o: Input.h Params.h DiskUsage.h util/Exception.h
Optimizer.o: Optimizer.h Input.h Params.h util/Exception.h
optimizers/GeneticAlgorithm.o: optimizers/GeneticAlgorithm.h Input.h Params.h
optimizers/GeneticAlgorithm.o: util/Random.h Optimizer.h Input.h
optimizers/GeneticAlgorithm.o: util/Exception.h
optimizers/BestFit.o: optimizers/BestFit.h Optimizer.h Input.h Params.h
optimizers/BestFit.o: util/Exception.h
optimizers/Split.o: optimizers/Split.h Optimizer.h Input.h Params.h
optimizers/Split.o: util/Exception.h
util/CmdLineParser.o: util/CmdLineParser.h util/CmdLineException.h

=== debian/changelog ===
gaffitter (0.6.0-3) unstable; urgency=medium

  * QA Upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Closes: #928876)

  [ Niels Thykier ]
  * Install binaries into /usr/bin instead of /bin.
    (Closes: #914371)
  * Rewrite rules to use the "dh $@"-style.
    - Adds support for (now) mandatory build-arch and build-indep
      targets in debian/rules.
  * Set Rules-Requires-Root to no.
  * Bump debhelper compat to 12.
  * Add ${misc:Depends} to dependency list for gaffitter.
  * Enable all hardening flags.
  * Convert source to 3.0 (quilt) to remove dependency on quilt.
  * Bump Standards-Version to 4.5.0.
  * Add superficial autopkgtests to ensure that the binary still
    runs.  Better testing welcome.

 -- Niels Thykier <niels@thykier.net>  Thu, 19 Mar 2020 17:07:44 +0000

gaffitter (0.6.0-2) unstable; urgency=low

  * Orphaned. Set maintainer to Debian QA Group.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 29 Dec 2013 19:29:05 +0000

gaffitter (0.6.0-1) unstable; urgency=low

  * New upstream release
  * debian/control
   + Update standards-version to 3.8.3 (no changes).
  * debian/patches
   + Modified 01_Makefile.patch, DESTDIR is now in upstream's Makefile.
  * debian/docs
   + README.pt_BR no longer exists.
  * debian/manpages
   + Few adjustments to match the new behaviour.

 -- Nacho Barrientos Arias <nacho@debian.org>  Thu, 24 Sep 2009 10:21:51 +0200

gaffitter (0.5.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control
   + Set Standards-Version to 3.8.0 (no changes).
   + Move homepage to the new Homepage field.
  * debian/patches
   + Drop 02_FTBFS_GCC-4.3.patch, merged upstream.

 -- Nacho Barrientos Arias <nacho@debian.org>  Wed, 23 Jul 2008 13:10:01 +0200

gaffitter (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * Adding patch to get rid of an annoying FTBFS bug with gcc-4.3,
    thanks to Martin Michlmayr <tbm@cyrius.com> (closes: #417190).
  * debian/control
    - Changing maintainer's email address.
    - Switching to quilt.
    - Added missing blank before homepage.
  * debian/manpages/gaffitter.1
    - Matching new gaffitter's behaviour.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun,  1 Apr 2007 22:04:19 +0200

gaffitter (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright
  - Removing copyright notes related with Cxxtools (not used in this version).
  * debian/manpages/gaffitter.1
  - Removing copyright notes as explained above.
  - Upgraded to follow new syntax.

 -- Nacho Barrientos Arias <chipi@criptonita.com>  Wed, 30 Aug 2006 21:38:00 +0200

gaffitter (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #384519).
  * Added manpage for gaffitter(1) not included in upstream sources.

 -- Nacho Barrientos Arias <chipi@criptonita.com>  Thu, 24 Aug 2006 22:16:16 +0200

=== debian/control ===
Source: gaffitter
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: http://gaffitter.sourceforge.net/
Rules-Requires-Root: no

Package: gaffitter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: File subsets extractor based on genetic algorithms
 Genetic Algorithm File Fitter (gaffitter) is a command-line software
 written in C++ that extracts --via genetic algorithm-- subsets of an
 input list of files/directories that best fit the given volume size
 (target), such as CD, DVD and others.
 .
 gaffitter provides an intelligent manner (thanks to Genetic Algorithm)
 to minimize the error between the desired target size and the selected
 candidates of files/directories. Gaffitter highlights:
 .
   * Uses a global meta-heuristic (Genetic Algorithm search).
   * The command-line interface provides high integration (via pipe) with
     other tools, i.e. works as a "filter".
   * Allow the user to enter 'size identifier' pairs directly instead
     of file/dir names.
   * Pretty configurable. gaffitter have many input parameters to
     control/adjust its behavior (including GA params).

=== debian/tests/control ===
Test-Command: gaffitter -h
Restrictions: superficial

=== debian/watch ===
version=3
# Using auto qa.debian.org SF redirector
http://sf.net/gaffitter/gaffitter-(.*)\.tar\.bz2
